#include "p_apps.h"

BOOLEAN	Sys_bLoadDefault = FALSE;

CCHAR Sys_cSafeOptions[512] = {
#include "options.h"
};

void DefaultSettings()
{
	DCHAR i;

	// clear speed dial
	SdramClearDataCache();
	for (i = 2; i < 16; i += 2)
	{
		SdramWrite(OPTIONS_SDRAM_HI, i, SRAM_DMA_DWORD);
	}

//	p_memcpy_c2x((PXCHAR)Sdram_pDataCache, Sys_cSafeOptions, (UCHAR)256);
//	p_memcpy_mac((PXCHAR)Sdram_pDataCache, Local_pMacAddress);
//	p_memcpy_c2x((PXCHAR)Sdram_pDataCache2, (PCCHAR)(Sys_cSafeOptions+256), (UCHAR)256);
	p_memcpy_mac((PXCHAR)Sdram_pDataCache, Local_pMacAddress);
	p_wmemcpy_c2x((PXCHAR)(Sdram_pDataCache+HW_ALEN), (PCCHAR)(Sys_cSafeOptions+HW_ALEN), 512);
	SdramWriteOptions();
	Sys_bLoadDefault = TRUE;
}

